org.apache.lucene.facet

## Class LabelAndValue

- java.lang.Object
- - org.apache.lucene.facet.LabelAndValue

    public final class LabelAndValue
    extends Object

Single label and its value, usually contained in a `FacetResult`.

### Field Summary

Fields
`String` `label` Facet's label.
`Number` `value` Value associated with this label.

### Constructor Summary

Constructors
Constructor and Description
`LabelAndValue(String label, Number value)` Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object _other)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### label

    public final String label

Facet's label.

#### value

    public final Number value

Value associated with this label.

### Constructor Detail

#### LabelAndValue

    public LabelAndValue(String label,
                         Number value)

Sole constructor.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object _other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`